---
base_model:
- Qwen/Qwen3-1.7B
library_name: transformers
tags:
- mergekit
- merge

---
# runname_merge

This is a merge of pre-trained language models created using [mergekit](https://github.com/cg123/mergekit).

## Merge Details
### Merge Method

This model was merged using the [DARE TIES](https://arxiv.org/abs/2311.03099) merge method using [Qwen/Qwen3-1.7B](https://huggingface.co/Qwen/Qwen3-1.7B) as a base.

### Models Merged

The following models were included in the merge:
* /scratch/final_project/code/group_model/models/Qwen3-1.7B-general
* /scratch/final_project/code/group_model/models/Qwen3-1.7B-safety
* /scratch/final_project/code/group_model/models/Qwen3-1.7B-math
* /scratch/final_project/code/group_model/models/Qwen3-1.7B-multilingual

### Configuration

The following YAML configuration was used to produce this model:

```yaml
models:
  - model: Qwen/Qwen3-1.7B 
  - model: /scratch/final_project/code/group_model/models/Qwen3-1.7B-math
    parameters:
      density: 0.53
      weight: 0.35
  - model: /scratch/final_project/code/group_model/models/Qwen3-1.7B-general 
    parameters:
      density: 0.53
      weight: 0.25
  - model: /scratch/final_project/code/group_model/models/Qwen3-1.7B-multilingual
    parameters:
      density: 0.53
      weight: 0.25
  - model: /scratch/final_project/code/group_model/models/Qwen3-1.7B-safety
    parameters:
      density: 0.53
      weight: 0.15
merge_method: dare_ties
base_model: Qwen/Qwen3-1.7B
parameters:
  int8_mask: true
dtype: bfloat16
```
